Change log for jflex package in Ubuntu

116 of 16 results
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-10-10
Deleted in cosmic-proposed (Reason: moved to release)
jflex (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0.
  * Rebase patches for new release.
  * Tighten B-D on cup.
  * Declare compliance with Debian Policy 4.2.1.
  * Add encoding.patch and fix the FTBFS.
  * Update debian/docs for new release.

 -- Markus Koschany <email address hidden>  Mon, 01 Oct 2018 13:37:22 +0200

Available diffs

Superseded in cosmic-release on 2018-10-10
Published in bionic-release on 2018-02-14
Deleted in bionic-proposed (Reason: moved to release)
jflex (1.6.1-3) unstable; urgency=medium

  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Use https for Format field. Update copyright years.
  * Change dependency from default-jre to default-jre-headless |
    java7-runtime-headless.
    Thanks to Kai-Chung Yan for the report. (Closes: #890345)
  * Change source/target to 1.7.

 -- Markus Koschany <email address hidden>  Tue, 13 Feb 2018 22:30:33 +0100

Available diffs

Superseded in bionic-release on 2018-02-14
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
jflex (1.6.1-2) unstable; urgency=medium

  * Tighten build-dependency on jflex.
  * Drop LexScan.flex.patch. No longer necessary with version 1.6.1 of jflex
    which is available in the archive now.
  * Update build.patch for compilation with jflex 1.6.1. (Closes: #832645)
  * Run jflex and cup before the actual build to fix a compilation error.

 -- Markus Koschany <email address hidden>  Thu, 28 Jul 2016 06:01:51 +0200

Available diffs

Superseded in yakkety-release on 2016-07-28
Deleted in yakkety-proposed on 2016-07-29 (Reason: moved to release)
jflex (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1
  * Update watch file. The project moved to Github.
  * Add get-orig-source target.
  * Update jflex.poms and use upstream's pom.xml file.
  * Move the package to Git.
  * Add myself to Uploaders. (Closes: #831816)
  * Remove debian/logo.gif because it is no longer needed for the docs.
  * Drop all patches because they are either obsolete or applied upstream.
  * Add build.patch and jflex-executable.patch to adjust build system and
    wrapper script for Debian.
  * Build-Depend on jflex and cup.
  * Add LexScan.flex.patch to fix FTBFS with the older version of JFlex.
  * Drop dirs file and remove dh_install override. Use install file instead.
  * Install changelog.md as upstream changelog.
  * Update debian/copyright to copyright format 1.0.
  * Depend on default-jre | java6-runtime because jflex requires a X11
    environment. Compile the source code for Java 6 from now on which is de
    facto already the minimum requirement in Debian.

 -- Markus Koschany <email address hidden>  Wed, 27 Jul 2016 06:48:48 +0200

Available diffs

Superseded in yakkety-release on 2016-07-28
Deleted in yakkety-proposed on 2016-07-29 (Reason: moved to release)
jflex (1.4.3+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Sylvestre Ledru ]
  * Remove myself from the uploaders

  [ Emmanuel Bourg ]
  * Removed the timestamps from the generated files to improve
    the reproducibility of the reverse dependencies
  * Standards-Version updated to 3.9.8 (no changes)
  * Updated debian/watch to track the latest releases

 -- Emmanuel Bourg <email address hidden>  Tue, 03 May 2016 14:10:45 +0200

Available diffs

Superseded in yakkety-release on 2016-05-04
Published in xenial-release on 2016-04-08
Superseded in xenial-release on 2016-04-08
Deleted in xenial-proposed (Reason: moved to release)
jflex (1.4.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -sa.
  * Use compat level 9 and require debhelper >= 9.
  * Declare compliance with Debian Policy 3.9.7.
  * Use only Build-Depends field.
  * Switch from cdbs to dh sequencer.
  * Use maven-repo-helper to install maven artifacts.
  * Add jflex.poms and pom.xml.
  * Remove Niels Thykier from Uploaders. (Closes: #770563)
  * Use canonical Vcs-URI.
  * Repack the tarball and remove pre-built JFlex.jar file.

 -- Markus Koschany <email address hidden>  Fri, 12 Feb 2016 18:12:32 +0100

Available diffs

Superseded in xenial-release on 2016-02-13
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
jflex (1.4.3-3) unstable; urgency=low


  * Upload in unstable
  * Update Standards-Version to version 3.9.4

 -- Sylvestre Ledru <email address hidden>  Mon, 06 May 2013 09:27:25 +0200
Superseded in saucy-release on 2013-05-06
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
jflex (1.4.3-2build1) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.
 -- James Page <email address hidden>   Fri, 18 May 2012 11:40:32 +0100

Available diffs

Superseded in quantal-release on 2012-05-18
Published in precise-release on 2011-10-17
jflex (1.4.3-2) unstable; urgency=low

  * Team upload.
  * Remove Arnaud and Paul from Uploaders list.
  * Switch to source format 3.0. Use dpkg's internal quilt instead of cdbs'
    simple patchsys.
  * Install file debian/logo.gif instead of the corrupt doc/logo.gif.
    (Closes: #578875)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 11:00:33 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
jflex (1.4.3-1) unstable; urgency=low

  * New upstream (bug fix) release
  * Fixed dangling symlink in usr/share/ant/lib (Closes: #538063)
  * Bumped Standards-versions to 3.8.2 - no changes required.
  * Bumped to debhelper version 7.
  * Fixed spelling errors.
  * Corrected section to java.
  * Corrected some paths in debian/rules and debian/docs.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  05 Nov 2009 06:02:40 +0000

Available diffs

Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
jflex (1.4.2-2) unstable; urgency=low

  * debian/copyright: Update, mention GPL v2 explicitely.

Available diffs

Superseded in jaunty-release on 2009-03-08
Superseded in jaunty-release on 2009-01-21
jflex (1.4.2-0ubuntu1) jaunty; urgency=low

  [Matthias Klose]
  * New upstream release.
  * Build-depend on default-jdk, depend on default-jre-headless.
  * debian/patches/03_build_xml_target.patch: Update.

  [Paul Cager]
  * Added watch file.
  * Added symlink from ant's lib directory
    (Closes: #388371 - JFlexTask cannot be found).
  * debian/control:
    + Removed Wolfgang Baer from uploaders and added myself.
    + Add Homepage field.
    + Add Vcs-Svn and Vcs-Browser.
    + Build-Depends-Indep on java-gcj-compat-dev instead of kaffe.
    + Updated Standards-Version to 3.8.0.
    + Moved cdbs and debhelper to Build-Depends.
  * debian/copyright
    + Removed lintian warnings about file format.

 -- Matthias Klose <email address hidden>   Fri, 09 Jan 2009 11:20:59 +0100

Available diffs

Superseded in jaunty-release on 2009-01-09
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
jflex (1.4.1-3) unstable; urgency=low

  * added myself as an uploader.
  * removed Takashi Okamoto from the uploaders (closes: #352980).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Jun 2006 14:25:18 +0100
Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
jflex (1.4.1-2) unstable; urgency=low


  * kaffe compiler transition
    + Removed build compiler jikes setting
    + Added patch to raise target to 1.3 (needed by ecj)

 -- Wolfgang Baer <email address hidden>  Mon, 16 Jan 2006 11:37:07 +0100
Superseded in dapper-release on 2006-01-31
jflex (1.4.1-1) unstable; urgency=low


  * New upstream release (closes: #248259)
  * Transfered maintainership to pkg-java maintainers
  * Changed build system to use ant, cdbs
  * Added a compat file
  * Changed dependency to comply with debian java policy (closes: #237823)
  * Removed jflex, cup dependency and patch build file to 
    use the included pregenerated files to avoid dep on itself
  * Register documentation with doc-base
  * Fixed outdated URL in examples/byaccj (closes: #306528)
  * Extracted all patches from diff.gz into debian/patches
  * Wrote a simple manpage for jflex
  * Standards-Version 3.6.2 (no changes)

 -- Wolfgang Baer <email address hidden>  Thu,  6 Oct 2005 20:34:44 +0200
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
jflex (1.3.5-7) unstable; urgency=low


  * fixed type in cotrol file. (closes: #215478)

 -- Takashi Okamoto <email address hidden>  Tue, 14 Oct 2003 00:41:58 +0900
116 of 16 results